code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash # Link to the binary ln -sf '/opt/${productFilename}/${executable}' '/usr/bin/${executable}' # SUID chrome-sandbox for Electron 5+ chmod 4755 '/opt/${productFilename}/chrome-sandbox' || true update-mime-database /usr/share/mime || true update-desktop-database /usr/share/applications || true # Clean up c...
zulip/zulip-desktop
packaging/deb-after-install.sh
Shell
apache-2.0
386
#!/bin/bash # # Support script to install Hazelcast. # # The installation can be modified by copying it into the working directory. # All properties from the 'simulator.properties' are passed as environment variables. # # automatic exit on script failure set -e # printing the command being executed (useful for debuggi...
hazelcast/hazelcast-simulator
drivers/driver-hazelcast3/conf/install-hazelcast-support3.sh
Shell
apache-2.0
7,700
#!/bin/bash set -eux set -o pipefail curl -L -O http://rhos-release.virt.bos.redhat.com/mburns/latest-images/overcloud-full.tar curl -L -O http://rhos-release.virt.bos.redhat.com/mburns/latest-images/discovery-ramdisk.tar curl -L -O http://rhos-release.virt.bos.redhat.com/mburns/latest-images/deploy-ramdisk-ironic.ta...
rbrady/tripleo
director/get-overcloud-images.sh
Shell
apache-2.0
417
#!/usr/bin/env bash # # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "Li...
michaelhkw/incubator-impala
bin/mvn-quiet.sh
Shell
apache-2.0
1,317
docker run -ti --rm --volume /data -e DO_API_TOKEN=$DO_API_TOKEN -e DO_SSH_KEY_IDS=$DO_SSH_KEY_IDS looztra/f23-ansible bash
looztra/guestbook-api-server
infrastructure/digitalocean/launch_ansible_container.sh
Shell
apache-2.0
124
#!/bin/bash . ~/dl/constant TOMCAT=${LN_HOME}/tomcat TOMCAT_INST_HOME=${TOMCAT}/inst mkdir -p ${TOMCAT_INST_HOME} mkdir -p ${TOMCAT}/common_inst_file rm -rf ${TOMCAT}/webapps rm -rf ${TOMCAT}/LICENSE rm -rf ${TOMCAT}/NOTICE rm -rf ${TOMCAT}/RUNNING.txt rm -rf ${TOMCAT}/RELEASE-NOTES rsync -av --exclude inst --exclude...
polargull/scripts
shell/appconf/autoConfTomcat_mutiIns.sh
Shell
apache-2.0
1,399
#!/bin/bash D1=`date` DATE=`date -d "$D1 - 2 days" +%Y%m%d` #DATE=`date +%Y%m%d` #group simulation log files together before taring FILEBASE=\/var\/log\/trsim-$DATE.*.log echo "Removing old simulation log files: "$FILEBASE #all the trsim log files for today `rm -rf $FILEBASE` exit 0
concurrentlabs/laguna
1.0/scripts/rpm/transparent_caching_1.0.0/etc/cron.daily/cleanupSimulationLogs.sh
Shell
apache-2.0
288
#!/bin/bash nosetests --exe
dkkline/pye
run_tests.sh
Shell
apache-2.0
28
#!/bin/sh # Container ACCOUNT="" CONTAINER="gumball" VERSION="restlet-v2.0" # Shell Variables OPT="" OPT1="" OPT2="" DEBUG="TRUE" AUTH="FALSE" XMENU="N" ## Set Echo Command Flavor PROMPT="" OS=`uname -a | cut -f1 -d" "` if [ "$OS" = "Darwin" ] ; then PROMPT="echo" else PROMPT="echo -e" fi ; # # Shell Fun...
paulnguyen/cmpe281
restlet/gumball_v2/docker.sh
Shell
apache-2.0
7,080
#!/bin/sh echo "Building Tests..." make mrproper make echo "__________________________________________" echo "Running Tests.." echo echo ./testHNode echo "------------------------------------------" echo echo ./testHuffman echo "------------------------------------------" echo echo ./testBinaryIO echo "------------...
jaimeguzman/learning
lz78/compressbench-lz78-w/src/test/run.sh
Shell
apache-2.0
594
#!/usr/bin/env bash # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # ...
NJUJYB/disYarn
hadoop-hdfs-project/hadoop-hdfs-httpfs/src/main/sbin/httpfs.sh
Shell
apache-2.0
4,003
#!/bin/bash # Install Nagios Core 4.1.1 SETUP="/vagrant/vagrant-setup" PPWD=$PWD if [ -d "/usr/share/nagios" ] then echo "Nagios is already installed, nothing done!" else source $SETUP/include.sh sudo yum install -y gcc glibc glibc-common gd gd-devel make net-snmp openssl-devel xinetd unzip if getent pass...
sergiomt/centorion
vagrant-setup/nagios411.sh
Shell
apache-2.0
3,340
#!/bin/bash filename="setvars.properties" while read -r line do if [[ $line =~ ^.*#.*$ ]]; then # comment: no-op dummy=5150 elif [[ $line =~ ^[[:space:]]*$ ]]; then # spaces: no-op dummy=5150 elif [[ $line =~ ^.*=.*$ ]]; then echo "export $line" else echo "ERROR: $line" exit -1 fi done < "...
codetojoy/gists
bash/bash_mar_2017/setvars.sh
Shell
apache-2.0
376
#!/bin/bash mvn install -Dtest=false -DfailIfNoTests=false exec:java -Dexec.mainClass="nu.postnummeruppror.insamlingsappen.Gavleimport"
postnummeruppror/insamlingsappen-server
gavleimport.sh
Shell
apache-2.0
136
#!/bin/bash rqt_plot /arucoEuler_topic/vector/y /RefEuler_topic/vector/y # rqt_plot /RefEuler_topic/vector/y /arucoEuler_topic/vector/y
ecdeng/camera_LAM_ros
aruco_ros/plot/plotEuler_Pitch.sh
Shell
apache-2.0
140
#!/bin/bash # Performs cloud function deployment # # Copyright 2020 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless requi...
google/prediction_framework
deploy/customization/scripts/custom_deploy.sh
Shell
apache-2.0
893
#!/bin/sh #$ -M theavey@bu.edu #$ -m beas #$ -l h_rt=02:00:00 #$ -N sllatreact1 # name of gaussian input and output files (assumed to be in our home directory) # EDIT THESE TWO LINES # ARGS=\(0.5, 2.0, 2.0, 2., 2.0, 0.9, 0.75\) 100000 80 2000 # create a working area in local scratch space SCRATCHDIR=/scratch/$USER ...
thompcinnamon/lattice-reaction-model
smalllonglatreactjob.sh
Shell
apache-2.0
675
#!/bin/bash -e # Load Sparta and system variables loadVariables SPARTA_MARATHON_CONF_FILE=/etc/sds/sparta/marathon/reference.conf cp ${SPARTA_MARATHON_CONF_FILE} ${SPARTA_CONF_FILE} source /sparta-marathon-utils.sh # SPARTA JAVA OPTIONS initJavaOptions # SPARK OPTIONS initSpark initSparkEnvOptions initS...
diegohurtado/sparta
docker/sparta-marathon.sh
Shell
apache-2.0
556
#!/bin/bash # # Copyright 2011 Membase, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable...
trondn/membase-perf
run.sh
Shell
apache-2.0
3,035
#!/usr/bin/env bash # Copyright 2021 gRPC authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
jtattermusch/grpc
tools/internal_ci/linux/grpc_xds_k8s_lb.sh
Shell
apache-2.0
6,832
#!/bin/sh if [ ! -d "$HOME/.gzn" ]; then platform='unknown' unamestr=$(uname) if [[ $unamestr == 'Linux' ]]; then platform='linux' hash brew 2>/dev/null || { printf >&2 "installing linuxbrew for package management \n \n ";sudo apt-get update; sudo apt-get install linuxbrew-wrapper;} hash ...
jessonfoo/gzn
install.sh
Shell
bsd-2-clause
1,190
#!/bin/sh total=0 passed=0 total=$(expr $total + 1) if sh run_validation_tests.sh then passed=$(expr $passed + 1) fi total=$(expr $total + 1) if sh run_normalization_tests.sh then passed=$(expr $passed + 1) fi total=$(expr $total + 1) if sh run_embed_json_message_tests.sh then passed=$(expr $passed + 1) ...
leto/new_opentree_api
nexson-validator/run_single_file_tests.sh
Shell
bsd-2-clause
761
#!/bin/bash HOST=ftp.servage.net #This is the FTP servers host or IP address. #Move into the dir where we will upload all wheels cd wheelhouse-lite ftp -inv $HOST << EOF user $FTP_USER $FTP_PASS mput *whl mput index.html EOF
Cadair/wheels-lite
ftp_upload.sh
Shell
bsd-2-clause
231
#!/bin/sh echo "base_url: '$POINTTOOL_BASE_URL'" > /pointtool/config.yml echo "corp_name: '$POINTTOOL_CORP_NAME'" >> /pointtool/config.yml echo "trusted_url_base: '$POINTTOOL_TRUSTED_URL_BASE'" >> /pointtool/config.yml echo "dev_mode: false" >> /pointtool/config.yml echo "fake_igb_character: ''" >> /pointtool/config.ym...
Kev/pointtool
docker-init.sh
Shell
bsd-2-clause
681
#!/bin/sh set -e pip install -r requirements-dev.txt case "$STREAMING_BACKEND" in ijson) pip install ijson;; ijson-yajl) pip install ijson git clone https://github.com/lloyd/yajl cd yajl git checkout 1.0.12 ./configure --prefix=/home/travis/local make make install ;; ijson-y...
p/redis-dump-load
tests/travis/setup.sh
Shell
bsd-2-clause
865
#!/bin/sh SUDO=sudo ROOT=$(dirname $0)/../. EMBOX=${ROOT}/build/base/bin/embox TAP=tap77 rm_tap() { $SUDO ip tuntap del dev $TAP mode tap } trap rm_tap INT TERM if [ ! -z "$(ip addr | grep $TAP)" ]; then rm_tap fi $SUDO ip tuntap add dev $TAP mode tap $SUDO $ROOT/scripts/qemu/start_script $TAP if [ $USERMODE_...
abusalimov/embox
scripts/usermode_start.sh
Shell
bsd-2-clause
432
#!/bin/bash SRC_DIR=~/src CLOJURE_JAR=$SRC_DIR/clojure/clojure.jar SWT_JAR=$SRC_DIR/swt-3.4-mac/swt-debug.jar java \ -cp .:$CLOJURE_JAR:$SWT_JAR \ clojure.main \ ajure/start.clj \ "$@"
onlyafly/ajure
utils-mac/test.sh
Shell
bsd-3-clause
194
#!/usr/bin/env bash set -x # Remove traces of MAC address and UUID from network configuration sed -E -i '/^(HWADDR|UUID)/d' /etc/sysconfig/network-scripts/ifcfg-e* # Add net.ifnames to /etc/default/grub and rebuild grub.cfg sed -i -e '/GRUB_CMDLINE_LINUX/ s:"$: net.ifnames=0":' /etc/default/grub /sbin/grub2-mkconfig ...
jmassara/packer-rhel7-vms
scripts/cleanup.sh
Shell
bsd-3-clause
1,163
#!/bin/bash source setenv.sh if [ ! -d "$instPath" ]; then mkdir "$instPath" fi if [ -n "$1" ]; then targetFile=$1 fi if [ ! -e "$targetFile.bc" ]; then echo "File not found: $targetFile.bc" exit 1 fi cp $targetFile.bc "$instPath" cd "$instPath" source $scriptPath/instrument.sh $targetFile . llvm-dis $targetFil...
zhongguotu/ecs289c-precimonious
examples/report.sh
Shell
bsd-3-clause
425
#!/bin/bash # This script installs the latest released version of MOTECH Platform Server to a fresh Ubuntu 14.04 installation # Note that these steps are for v. 0.26 moving forward. Previous versions of MOTECH Platform Server required additional installation steps # To run this script, download it to the server or copy...
tectronics/motech
docs/source/get_started/install.sh
Shell
bsd-3-clause
1,306
#!/bin/sh set -e if [ ! -d "${HOME}/scv-2.0.0/lib-linux64" ]; then wget http://accellera.org/images/downloads/standards/systemc/scv-2.0.0.tgz tar -xzvf scv-2.0.0.tgz && cd scv-2.0.0 ./configure --prefix="${HOME}/scv-2.0.0" --with-systemc="${SYSTEMC_HOME}" make && make check && make install else ec...
diadatp/nasti-ddrx-mc
install-scv.sh
Shell
bsd-3-clause
367
#!/bin/sh . mail-toaster.sh || exit export JAIL_START_EXTRA="" export JAIL_CONF_EXTRA="" mt6-include php mt6-include nginx install_rainloop() { local _php_modules="curl dom iconv json openssl pdo_sqlite simplexml xml zlib" if [ "$TOASTER_MYSQL" != "1" ]; then tell_status "using sqlite DB backend" _php_module...
Infern1/Mail-Toaster-6
provision/rainloop.sh
Shell
bsd-3-clause
3,506
./cseg_d --duration=86400s --cseg-servermap-options="--filename=cseg-servermap.txt" --servermap=tabular --cseg-service-tcp-port=30000 --num-cseg-servers=2 --num-upper-tree-cseg-servers=1 --layout="<4,1,1>" --region="<<-100,-100,-100>,<100,100,100>>"
sirikata/sirikata
cseg/run_cseg1.sh
Shell
bsd-3-clause
251
#!/bin/sh FOCUS="fit\(|fdescribe\(|fcontext\(" find "${SRCROOT}/Tests" \( -name "*.m" \) -print0 | xargs -0 egrep --with-filename --line-number --only-matching "($FOCUS).*\$" | perl -p -e "s/($FOCUS)/ warning: \$1/"
button/DeepLinkKit
Tests/BuildScripts/specta-focus-check.sh
Shell
mit
217
#!/bin/bash FN="MeSH.Ani.FGSC.eg.db_1.13.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.11/data/annotation/src/contrib/MeSH.Ani.FGSC.eg.db_1.13.0.tar.gz" "https://bioarchive.galaxyproject.org/MeSH.Ani.FGSC.eg.db_1.13.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-mesh.ani.fgsc.eg.db/bioco...
roryk/recipes
recipes/bioconductor-mesh.ani.fgsc.eg.db/post-link.sh
Shell
mit
1,480
sudo rsync -av . resampler@192.168.31.248:/work/Code/PaintsNow/App/War3Remix/Nginx/tcpwalker
paintsnow/paintsnow
App/ShadowRock/Publish/Nginx/tcpwalker/update.sh
Shell
mit
93
# # Configuration file for using the XML library in GNOME applications # XML2_LIBDIR="-L/home/brad/Documents/railsapps/rJackal/vendor/bundle/ruby/1.9.1/gems/nokogiri-1.6.1/ports/x86_64-linux-gnu/libxml2/2.8.0/lib" XML2_LIBS="-lxml2 -lz -lm " XML2_INCLUDEDIR="-I/home/brad/Documents/railsapps/rJackal/vendor/bundle/ruby...
bradholbrook/rJackal
vendor/bundle/ruby/1.9.1/gems/nokogiri-1.6.1/ports/x86_64-linux-gnu/libxml2/2.8.0/lib/xml2Conf.sh
Shell
mit
430
#!/bin/bash set -e export SAUCE_ACCESS_KEY=`echo $SAUCE_ACCESS_KEY | rev` if [ $JOB = "unit" ]; then grunt ci-checks grunt test:promises-aplus grunt test:unit --browsers SL_Chrome,SL_Safari,SL_Firefox,SL_IE_9,SL_IE_10,SL_IE_11 --reporters dots grunt tests:docs --browsers SL_Chrome,SL_Safari,SL_Firefox,SL_IE_...
santoshsoftex/angular.js
scripts/travis/build.sh
Shell
mit
740
#!/bin/bash if [ $# -ne '1' ]; then echo -e "\nUsage: Converts a log-test-* file into a test-results-* file." echo -e "$0 : < Input testsuite log file >\n"; exit 1 fi; echo '#' echo '# Testsuite failures, someone should be working towards' echo '# fixing these! They are listed here for the purpose of' echo '# r...
pexip/os-eglibc
debian/testsuite-checking/convertlog.sh
Shell
gpl-2.0
502
#!/usr/bin/env bash set -exu startdir=`pwd` TCPCLIENT=${TCPCLIENT:-tcpclient} AXFRGET=${AXFRGET:-axfr-get} TINYDNSDATA=${TINYDNSDATA:-tinydns-data} # Copy original zones because the test might modify them (well only the dyndns stuff, but let's make this work for others as well) for zone in $(grep 'zone ' ../../regres...
grahamhayes/pdns
modules/tinydnsbackend/generate-data.sh
Shell
gpl-2.0
1,224
#!/bin/bash sgdisk -n 1:0:0 -t 1:8e00 /dev/sdb pvcreate /dev/sdb1 vgreduce /dev/centos --remove-missing --force vgextend /dev/centos /dev/sdb1 lvcreate -l 100%FREE -n lv_backup /dev/centos mkfs.xfs /dev/centos/lv_backup echo "/dev/mapper/centos-lv_backup /backup xfs defaults 0 0" | tee -a "/etc/fstab" >/dev/null mou...
MAN-IN-WAN/Kob-Eye
Modules/AbtelBackup/InitDD/initDD.sh
Shell
gpl-2.0
347
# Copyright (C) 2001 Quantum ESPRESSO # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License. See the file `License' in the root directory # of the present distribut...
QEF/q-e
test-suite/extract-zg.sh
Shell
gpl-2.0
508
#!/bin/bash -ex # CI test.sh hook implementation. export SIMPLETEST_BASE_URL="http://localhost" export SIMPLETEST_DB="sqlite://localhost//tmp/drupal.sqlite" export BROWSERTEST_OUTPUT_DIRECTORY="/var/www/html/sites/simpletest" if [ ! -f dependencies_updated ] then ./update-dependencies.sh $1 $2 fi # This is the co...
apigee/apigee-edge-drupal
.circleci/test.sh
Shell
gpl-2.0
598
#! /bin/bash # # TALPA test script # # Copyright (C) 2004-2011 Sophos Limited, Oxford, England. # # This program is free software; you can redistribute it and/or modify it under the terms of the # GNU General Public License Version 2 as published by the Free Software Foundation. # # This program is distributed in the h...
paperclip/talpa
tests/tlp-5-001.sh
Shell
gpl-2.0
817
#!/bin/bash if [ $# -lt 2 ]; then echo "too few argument." exit 1 fi tensordata=$1 shape=$2 if [ ! -s $tensordata ]; then echo "given file not found." exit 1 fi stlinenum=`cat $tensordata | awk '{if(NR==1 && NF==1)print $0}'` gawk -F' ' 'BEGIN{ r=-2 v=0 } { if (NF == 1 ) { r ++ v=0 next } ...
chapering/DTIStudy
src_forcolumndata/findshape.sh
Shell
gpl-2.0
944
#!/bin/bash set -ex mkdir -p prefix prefix/bin prefix/include prefix/lib mkdir -p fbc/bin/win32 mkdir -p fbc/lib/win32 mkdir -p fbc/doc/licenses scriptdir="`dirname \"$0\"`" source "$scriptdir/../common.sh" toplevel="$PWD" prefix=$toplevel/prefix licensedir=$toplevel/fbc/doc/licenses triplet="i686-w64-mingw32" # T...
rvega/pd-bbb-gpio
vendors/FreeBASIC-0.90.0-source/contrib/libs/win32dlls/build.sh
Shell
gpl-3.0
24,633
#!/bin/bash #PBS -l walltime=4:00:00 #PBS -l nodes=1:ppn=2 #PBS -l vmem=32G #PBS -N WAF_8_1_1_250_1_0_0_no_no cd /zhome/fc/e/102910/maritime-vrp/build LD_LIBRARY_PATH=/zhome/fc/e/102910/gcc/lib64 ./maritime_vrp ../data/old_thesis_data/program_params.json ../data/new/WAF_8_1_1_250_1_0_0_no_no.json
OR-Bologna/maritime-vrp
opt/launchers/WAF_8_1_1_250_1_0_0_no_no.sh
Shell
gpl-3.0
298
#!/bin/bash set -x set -e start_dir=$(pwd) EMBOSS_VERSION="6.5.7" EMBOSS_DOWNLOAD_URL="ftp://emboss.open-bio.org/pub/EMBOSS/old/6.5.0/EMBOSS-${EMBOSS_VERSION}.tar.gz" # Make an install location if [ ! -d "${HOME}/dependencies" ]; then mkdir ${HOME}/dependencies fi cd ${HOME}/dependencies build_dir=$(pwd) # DOWN...
sanger-pathogens/Artemis
install_dependencies.sh
Shell
gpl-3.0
1,104
#!/bin/bash ../bin/rshell < commented_test
mannychu/rshell
tests/commented_command.sh
Shell
gpl-3.0
44
#! /bin/bash cd .. #generate a new .po file #this will generate a file called messages.po find airtime_mvc -iname "*.phtml" -o -name "*.php" | xargs xgettext -L php --from-code=UTF-8 find airtime_mvc -iname "*.phtml" -o -name "*.php" | xargs xgettext -L php --from-code=UTF-8 -k --keyword=_pro:1 -d pro --force-po #me...
comiconomenclaturist/libretime
dev_tools/update_po_files.sh
Shell
agpl-3.0
755
#!/bin/bash # This script is to install Firewalla on a native ubuntu OS image # (Beta) function perr_and_exit() { echo "$1" >&2 exit 1 } if [[ ! $(whoami) =~ "root" ]]; then echo "This script requires root privilege!" exit 1 fi # Setup Account useradd pi -m -s /bin/bash usermod --password ZxgKFnDhJ7fbM pi e...
MelvinTo/firewalla
scripts/install.sh
Shell
agpl-3.0
1,556
PACKAGES="gtk+-3.0" VALAFLAGS="--gresources ${abs_srcdir}/gtktemplate/gtktemplate.gresource.xml"
GNOME/vala
tests/gtktemplate/tests-extra-environment.sh
Shell
lgpl-2.1
97
#!/bin/bash set -e export TMPDIR=$(mktemp -d --tmpdir="$PWD") export XDG_CONFIG_HOME="$TMPDIR/config" export XDG_CACHE_HOME="$TMPDIR/cache" export GSETTINGS_SCHEMA_DIR="$TMPDIR/schemas" mkdir -p $XDG_CONFIG_HOME $XDG_CACHE_HOME $GSETTINGS_SCHEMA_DIR eval `dbus-launch --sh-syntax` trap 'rm -rf $TMPDIR; kill $DBUS_SE...
pkg-ime/ibus
data/dconf/make-dconf-override-db.sh
Shell
lgpl-2.1
811
#!/bin/bash # This script tests the Joshua pipeline, training on a 1000-sentence Urdu-English parallel corpus, # and tuning and testing on 100-sentence test sets with four references. It uses the Berkeley # aligner for alignment to avoid the dependency on compiling GIZA. $JOSHUA/scripts/training/pipeline.pl \ --...
gwenniger/joshua
test/pipeline/test.sh
Shell
lgpl-2.1
714
#!/bin/bash git add -u git commit -m "$1" git push origin master autossh -i /home/melvin/s/1404.pem ubuntu@taskify.org "cd /var/www/taskify.org/ ; git pull origin master"
taskify/taskify.github.io
deploy.sh
Shell
lgpl-3.0
174
#!/bin/bash set -o errexit # NAME # locale_sync # # SYNOPSIS # ./locale_sync.sh <naming_convention_regex> <bundle_basedir> # # DESCRIPTION # locale_sync converts Java .properties-based resource bundles into .po # (portable object) format in preparation for use with an external # translation tool. #...
maduhu/mifos-head
resources/scripts/pootle/locale_sync.sh
Shell
apache-2.0
1,670
GCP_CREDS="" if [ -f $HOME/.gcp/account.json ]; then GCP_CREDS="$GENERIC_CREDS --from-file=$HOME/.gcp/account.json" fi kubectl create secret generic gcp-config --namespace=spinnaker $GCP_CREDS kubectl create secret generic fiat-mutate-config \ --from-file=fiat/config/fiat.yaml \ --from-file=fiat/mutate/c...
Roshan2017/spinnaker
experimental/kubernetes/ha/fiat/mutate/startup-config.sh
Shell
apache-2.0
456
#!/bin/bash # # Copyright 2016 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed ...
VersoBit/mod_pagespeed
pagespeed/automatic/system_tests/defer_javascript.sh
Shell
apache-2.0
3,086
#! /usr/bin/env bash # Copyright 2014 Chen Ruichao <linuxer.sheep.0x@gmail.com> # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless ...
sodabear/OI
contest/province/HNOI/HNOI2008/prison/BZOJ1008.sh
Shell
apache-2.0
860
#!/bin/bash BUNDLENAME=/sysroot/etc/pki/tls/certs/ca-bundle.crt while [ -h $BUNDLENAME ]; do BUNDLENAME=/sysroot/$(readlink $BUNDLENAME) done cat /etc/pki/tls/certs/ca-bundle.crt > $BUNDLENAME mkdir -p /sysroot/etc/confluent/ cp -a /tls /sysroot/etc/confluent cp -a /etc/confluent/* /sysroot/etc/confluent/ sed -i '...
xcat2/confluent
confluent_osdeploy/rhvh4/initramfs/usr/lib/dracut/hooks/pre-pivot/01-confluent.sh
Shell
apache-2.0
755
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License"); y...
tqchen/tvm
docker/install/ubuntu_install_qemu.sh
Shell
apache-2.0
1,843
#!/bin/sh # This script will build a Docker image for googleapis and recompile # PHP and Ruby runtimes binaries to use in GAPIC generators for these # languages. # # Run from any local working directory where you have write access. # # Usage: # $ mkdir workdir # $ cd workdir # $ sh /google/src/head/depot/google3/third...
googleapis/googleapis
.kokoro/docker_update.sh
Shell
apache-2.0
4,869
#!/bin/bash VERSIONS=( 1.5 1.6 tip ) for version in "${VERSIONS[@]}"; do echo "Running unit tests inside of Go ${version} ..." if [ $version == "tip" ]; then gimme 1.6 fi gimme $version source ~/.gimme/envs/go${version}.env go test -v done
mssola/zypper-docker
docker/test.sh
Shell
apache-2.0
275
#!/bin/sh # Package PACKAGE="nzbconfig" DNAME="NZB Config" # Others INSTALL_DIR="/usr/local/${PACKAGE}" SSS="/var/packages/${PACKAGE}/scripts/start-stop-status" RUNAS="root" VIRTUALENV="/usr/local/python/bin/virtualenv" preinst () { exit 0 } postinst () { # Link ln -s ${SYNOPKG_PKGDEST} ${INSTALL_DIR} ...
hadess/spksrc
spk/nzbconfig/src/installer.sh
Shell
bsd-3-clause
922
#!/bin/bash # Copyright 2015, Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # * Redistributions of source code must retain the above copyright # notice, this list of conditio...
maxwell-demon/grpc
tools/run_tests/run_python.sh
Shell
bsd-3-clause
2,094
#!/bin/bash #SBATCH -J racer #Single job name for the entire JobArray #SBATCH -o slurm/racer_%A_%a.out #standard output #SBATCH -e slurm/racer_%A_%a.err #standard error #SBATCH -p general #partition #SBATCH -t 8:30:00 #running time #SBATCH --mail-type=BEGIN #SBATCH --mail-type=END #SBATCH --mail-user=iancze@gma...
gully/Starfish
scripts/clusterexample/array.sh
Shell
bsd-3-clause
450
TOPDIR=.. VERSION=4.2.6 PMDJAR=$TOPDIR/lib/pmd-$VERSION.jar JARPATH=$TOPDIR/lib/asm-3.2.jar:$TOPDIR/lib/jaxen-1.1.1.jar OPTS= MAIN_CLASS=net.sourceforge.pmd.util.viewer.Viewer java $OPTS -cp $PMDJAR:$JARPATH:$TOPDIR/build $MAIN_CLASS $*
bolav/pmd-src-4.2.6-perl
bin/bgastviewer.sh
Shell
bsd-3-clause
239
#!/bin/sh # get a proper group group="staff" grep -q '^staff:' /etc/group || group="wheel" # remove stale nodes rm -f /dev/gdev* # make nodes major=$(awk "\$2==\"gdev\" {print \$1}" /proc/devices) devnum=$(less /proc/gdev/virtual_device_count | awk "{print \$1}") minor=0 while [ $minor -lt $devnum ] ; do mkn...
CPFL/gdev
mod/gdev/gdev.sh
Shell
mit
836
# Solarized colorscheme "dark" with desaturated base colors # # See the Solarized homepage for details: # http://ethanschoonover.com/solarized # # SOLARIZED HEX 16/8 TERMCOL L*A*B # --------- ------- ---- --------- ---------- base03="#262626" # base03 #262626 8/4 b...
sos4nt/dynamic-colors
colorschemes/solarized-dark-desaturated.sh
Shell
mit
1,917
#!/bin/sh . ./env.sh $JBOSS_HOME/bin/jboss-cli.sh --connect --controller=$DOMAIN_MASTER_IP:$DOMAIN_MASTER_PORT --command=/host=$HOST_NAME:shutdown
Jooho/sample-docker
wildfly/scripts/slave/shutdown-slave.sh
Shell
gpl-2.0
150
#!/bin/sh -e REPO="c2corg/v6_ui" if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then echo "Not publishing docker images out of Pull Requests" exit 0 fi publish_image() { local DOCKER_IMAGE DOCKER_IMAGE="$1" echo "Pushing image '${DOCKER_IMAGE}' to docker hub" docker push "${DOCKER_IMAGE}" } docker login -u ...
Courgetteandratatouille/v6_ui
scripts/travis-publish.sh
Shell
agpl-3.0
664
#!/bin/sh # Run this to generate all the initial makefiles, etc. #name of package test "$PKG_NAME" || PKG_NAME=Package test "$srcdir" || srcdir=. # default version requirements ... test "$REQUIRED_AUTOMAKE_VERSION" || REQUIRED_AUTOMAKE_VERSION=1.11.2 test "$REQUIRED_AUTORECONF_VERSION" || REQUIRED_AUTORECONF_VERSION=...
tyll/libinfinity
autogen.sh
Shell
lgpl-2.1
13,088
#!/bin/bash FN="GSE62944_1.18.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.12/data/experiment/src/contrib/GSE62944_1.18.0.tar.gz" "https://bioarchive.galaxyproject.org/GSE62944_1.18.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-gse62944/bioconductor-gse62944_1.18.0_src_all.tar.gz" ) MD...
bebatut/bioconda-recipes
recipes/bioconductor-gse62944/post-link.sh
Shell
mit
1,292
#!/bin/bash FN="hgu95c.db_3.2.3.tar.gz" URLS=( "https://bioconductor.org/packages/3.12/data/annotation/src/contrib/hgu95c.db_3.2.3.tar.gz" "https://bioarchive.galaxyproject.org/hgu95c.db_3.2.3.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-hgu95c.db/bioconductor-hgu95c.db_3.2.3_src_all.tar.gz" "...
bebatut/bioconda-recipes
recipes/bioconductor-hgu95c.db/post-link.sh
Shell
mit
1,405
PYPREFIX=`python -c "import sys;print sys.prefix;"` sudo rm -rf ${PYPREFIX}/lib/python2.4/site-packages/adytum/app/pymon sudo rm -rf ${PYPREFIX}/lib/python2.4/site-packages/PyMonitor-*.egg sudo rm -rf build/ sudo rm -rf setuptools-*.egg sudo find . -name "*.pyc"|xargs rm
shvechikov/python-rtfng
admin/clean.sh
Shell
mit
272
#!/usr/bin/env bash CONNECTION_TIME="15" TRANSMISSION_TIME="15" formatHeaderString() { OLD_IFS=$IFS IFS="$1" STR="$2" ARRAY=(${STR}) for i in "${!ARRAY[@]}" do HEADERS="$HEADERS -H '${ARRAY[$i]}'" done echo ${HEADERS} | sed 's/^ //' IFS=${OLD_IFS} } get() { HEADER="$1"...
tossp/lede-k3
package/lean/luci-app-familycloud/root/usr/share/familycloud/FamilyCloud/utils.sh
Shell
gpl-2.0
954
#!/bin/bash #debuild -us -uc #debuild -S -sd -kD2628E50 #dh_make -c gpl -s -b -p foobnix-0.2.2-3 #dput ppa:foobnix-player/foobnix foobnix_0.2.2-3_source.changes pwd rm -rf ../../build/*.* mkdir ../../build cd ../ python setup.py build #python setup.py test echo -n "Tests finished > " read text pwd source foobnix/ve...
kagel/foobnix
scripts/launchpad_upload_ubuntu.sh
Shell
gpl-3.0
1,677
# Remember to set up the environment before invoking this build. # source emsdk_set_env.sh em++ --bind -I ../../../vcglib/ open.cpp -s EXPORTED_FUNCTIONS="['_allocator','_openMesh','_getVertexNumber','_getVertexVector','_getFaceNumber','_getFaceVector']" -o open.js
cnr-isti-vclab/meshlabjs
test/LoadProcRender1.1/build.sh
Shell
agpl-3.0
269
#!/bin/bash # Copyright 2014 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
bnprss/kubernetes
hack/lib/version.sh
Shell
apache-2.0
5,000
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you...
apache/bigtop
bigtop-packages/src/common/phoenix/install_phoenix.sh
Shell
apache-2.0
3,762
#!/bin/bash ########################################################################## #Aqueduct - Compliance Remediation Content #Copyright (C) 2011,2012 # Vincent C. Passaro (vincent.passaro@gmail.com) # Shannon Mitchell (shannon.mitchell@fusiontechnology-llc.com) # #This program is free software; you ca...
quark-pat/CLIP
packages/aqueduct/aqueduct/compliance/Bash/STIG/rhel-5/dev/GEN005610.sh
Shell
apache-2.0
3,271
#!/usr/bin/env bash ${IDRIS:-idris} $@ --nobanner --nocolor --port none < input.in
kojiromike/Idris-dev
test/interactive008/run.sh
Shell
bsd-3-clause
83
listOfLanguages=$(echo `ls -d */`) for eachLanguage in $listOfLanguages do eachLanguage=$(echo $eachLanguage | tr "/" " " | tr -d '[[:space:]]') echo "Checking and generating $eachLanguage/whatsChanged.md" ./whatsChangedFor.sh $eachLanguage done
neomatrix369/adoptopenjdk-getting-started-kit
whatsChangedForAllLanguages.sh
Shell
cc0-1.0
250
#! /bin/sh # Copyright (C) 2007-2015 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
darrengarvey/automake
t/color-tests-opt.sh
Shell
gpl-2.0
1,075
#!/usr/bin/env bash #set -o nounset #exit if an unset variable is used set -o errexit #exit on any single command fail # find voltdb binaries in either installation or distribution directory. if [ -n "$(which voltdb 2> /dev/null)" ]; then VOLTDB_BIN=$(dirname "$(which voltdb)") else VOLTDB_BIN="$(dirname $(di...
kumarrus/voltdb
examples/uniquedevices/run.sh
Shell
agpl-3.0
5,448
#! /bin/bash # DEPENDS ON gren: # curl https://raw.githubusercontent.com/creationix/nvm/v0.33.8/install.sh | bash # source ~/.nvm/nvm.sh # nvm install v8.11.1 # npm install github-release-notes -g # Version NEXT_VERSION=$1 function syntax { echo "Syntax: $1 NEXT_VERSION" echo "Example: $1 2.3.0" } if [[ -z "$N...
keeps/dbviewer
scripts/prepare_next_version.sh
Shell
lgpl-3.0
725
#!/usr/bin/env bash # Copyright 2018 gRPC authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
mehrdada/grpc
tools/internal_ci/macos/grpc_ios_binary_size.sh
Shell
apache-2.0
971
#!/bin/bash #=============================================================================== # Copyright (c) 2014 Geoscience Australia # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # * Re...
alex-ip/agdc
tests/systestLS8.sh
Shell
bsd-3-clause
2,648
#!/bin/sh # Strip all non-global symbols PREFIX=qgis1.0.0.app/Contents/MacOS strip -x $PREFIX/qgis strip -x $PREFIX/bin/qgis_help.app/Contents/MacOS/qgis_help strip -x $PREFIX/lib/libqgis_core.dylib strip -x $PREFIX/lib/libqgis_gui.dylib strip -x $PREFIX/lib/qgis/libcoordinatecaptureplugin.so strip -x $PREFIX/lib/qg...
sourcepole/qgis
qgis/mac/extras/release-strip.sh
Shell
gpl-2.0
3,471
#!/usr/bin/env bash # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
grodrigues3/test-infra
verify/update-bazel.sh
Shell
apache-2.0
760
#!/bin/bash pidFile='pids.pid' if [ -f ${pidFile} ]; then pids=`cat ${pidFile}` for pid in "${pids[@]}" do kill ${pid} done rm ${pidFile} else echo "Process file wasn't found. Aborting..." fi
MartinPaulo/SparkAlarmCounter
stop.sh
Shell
mit
211
#!/bin/bash FN="KOdata_1.20.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.14/data/experiment/src/contrib/KOdata_1.20.0.tar.gz" "https://bioarchive.galaxyproject.org/KOdata_1.20.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-kodata/bioconductor-kodata_1.20.0_src_all.tar.gz" ) MD5="f47c4b9...
cokelaer/bioconda-recipes
recipes/bioconductor-kodata/post-link.sh
Shell
mit
1,282
#!/bin/sh IP4="ip -4" IP6="ip -6" IPS="ipset" IPT4="iptables -t mangle -w" IPT6="ip6tables -t mangle -w" LOG="logger -t mwan3[$$] -p" CONNTRACK_FILE="/proc/net/nf_conntrack" IPv6_REGEX="([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|" IPv6_REGEX="${IPv6_REGEX}([0-9a-fA-F]{1,4}:){1,7}:|" IPv6_REGEX="${IPv6_REGEX}([0-9a-fA-F]...
yannayl/packages
net/mwan3/files/lib/mwan3/mwan3.sh
Shell
gpl-2.0
33,632
#!/bin/sh # Ensure that printing a GPT partition table does not modify the pMBR. # Due to a bug in parted-2.1, "parted /dev/... print" would do just that. # Not a problem for most, but if you have a hybrid, e.g., gptsync'd # GPT/MBR table, merely listing the table with Parted-2.1 would clobber # the MBR part. # Copyri...
Distrotech/parted
tests/t0205-gpt-list-clobbers-pmbr.sh
Shell
gpl-3.0
1,877
#!/bin/sh BASEDIR="`dirname $0`/.." # Doctrine cd $BASEDIR/vendor/doctrine git pull git submodule update
demingongo/tfe
vendor-packages/doctrine2-nestedset-master/tests/update_vendors.sh
Shell
apache-2.0
107
#!/bin/bash # This file is part of BeRTOS. # # Bertos is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # # This program is distributed i...
batt/sem
test/log_nightly_test.sh
Shell
gpl-2.0
2,253
#!/usr/bin/env bash #===- libcxx/utils/docker/scripts/install_clang_package.sh -----------------===// # # Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions. # See https://llvm.org/LICENSE.txt for license information. # SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception # #===------------...
llvm-mirror/libcxx
utils/docker/scripts/install_clang_packages.sh
Shell
apache-2.0
2,065
#! /usr/bin/env bash # # Copyright (C) 2013-2015 Bilibili # Copyright (C) 2013-2015 Zhang Rui <bbcallen@gmail.com> # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.o...
Bilibili/ijkplayer
init-android-soundtouch.sh
Shell
gpl-2.0
1,215
getBuildTools() { copyFromRootDir="https://raw.githubusercontent.com/Azure/azure-sdk-for-net/BuildToolsForSdk" printf "Updating Build tools .....\n" if [ ! -d ./tools/SdkBuildTools ]; then mkdir ./tools/SdkBuildTools fi if [ ! -d ./tools/SdkB...
yugangw-msft/azure-sdk-for-net
tools/linuxScripts/getBuildTools.sh
Shell
apache-2.0
3,951
#!/bin/sh openssl ocsp \ -no_nonce \ -CAfile ca.pem \ -verify_other demoCA/cacert.pem \ -issuer demoCA/cacert.pem \ -cert server.pem \ -url http://localhost:8888/ \ -respout ocsp-server-cache.der
s0lst1c3/eaphammer
local/hostapd-eaphammer/hs20/server/ca/ocsp-update-cache.sh
Shell
gpl-3.0
204